curl --request POST \
--url https://api.fabric.inc/v3/products/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"match": {
"id": {
"op": "IN",
"value": [
"blue"
]
},
"sku": {
"op": "IN",
"value": [
"blue"
]
},
"type": {
"op": "EQUALS",
"value": "ITEM"
},
"categoryId": [
{
"op": "IN",
"value": [
"blue"
]
}
],
"properties": [
{
"attributeId": "CAZZX1234567DDDDD",
"attributeValue": [
{
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
}
]
}
],
"variantIds": {
"op": "IN",
"value": [
"blue"
]
},
"bundleProductIds": {
"op": "IN",
"value": [
"blue"
]
},
"createdAt": {
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
},
"updatedAt": {
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
},
"createdBy": {
"op": "IN",
"value": [
"blue"
]
}
},
"sort": "+sku,-name",
"offset": 2,
"limit": 10
}
'import requests
url = "https://api.fabric.inc/v3/products/search"
payload = {
"match": {
"id": {
"op": "IN",
"value": ["blue"]
},
"sku": {
"op": "IN",
"value": ["blue"]
},
"type": {
"op": "EQUALS",
"value": "ITEM"
},
"categoryId": [
{
"op": "IN",
"value": ["blue"]
}
],
"properties": [
{
"attributeId": "CAZZX1234567DDDDD",
"attributeValue": [
{
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
}
]
}
],
"variantIds": {
"op": "IN",
"value": ["blue"]
},
"bundleProductIds": {
"op": "IN",
"value": ["blue"]
},
"createdAt": {
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
},
"updatedAt": {
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
},
"createdBy": {
"op": "IN",
"value": ["blue"]
}
},
"sort": "+sku,-name",
"offset": 2,
"limit": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
match: {
id: {op: 'IN', value: ['blue']},
sku: {op: 'IN', value: ['blue']},
type: {op: 'EQUALS', value: 'ITEM'},
categoryId: [{op: 'IN', value: ['blue']}],
properties: [
{
attributeId: 'CAZZX1234567DDDDD',
attributeValue: [
{
op: 'RANGE',
fromValue: '2022-09-14T22:10:30.618Z',
toValue: '2023-04-14T22:10:30.618Z'
}
]
}
],
variantIds: {op: 'IN', value: ['blue']},
bundleProductIds: {op: 'IN', value: ['blue']},
createdAt: {
op: 'RANGE',
fromValue: '2022-09-14T22:10:30.618Z',
toValue: '2023-04-14T22:10:30.618Z'
},
updatedAt: {
op: 'RANGE',
fromValue: '2022-09-14T22:10:30.618Z',
toValue: '2023-04-14T22:10:30.618Z'
},
createdBy: {op: 'IN', value: ['blue']}
},
sort: '+sku,-name',
offset: 2,
limit: 10
})
};
fetch('https://api.fabric.inc/v3/products/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "8d7329dfd5288b0011332376",
"sku": "QWERTTY56DDFFVVV",
"type": "ITEM",
"isActive": true,
"hasDraft": true,
"hasLive": true,
"status": "LIVE",
"attributes": [
{
"id": "6d7329dfd5288b0011332345",
"name": "Color",
"type": "string",
"isDeleted": false,
"value": "blue",
"isInherited": true
}
],
"localizedProperties": {
"en-US": {
"attributes": [
{
"id": "517329dfd5288b0011332315",
"name": "Color",
"type": "string",
"isDeleted": false,
"value": "blue",
"isInherited": true
}
]
},
"en-IN": {
"attributes": [
{
"id": "617329dfd5288b0011332316",
"name": "Colour",
"type": "string",
"isDeleted": false,
"value": "blue",
"isInherited": true
}
]
}
},
"variants": [
{
"id": "717329dfd5288b0011332317"
}
],
"categoryId": "5e7329dfd5288b00113323e4",
"createdAt": "2021-09-14T22:10:30.618Z",
"updatedAt": "2021-09-14T22:10:30.618Z"
}
],
"offset": 5,
"limit": 10,
"count": 100
}Find Products
To find specific products for review or reports, you need to specify the criteria for the search. With this endpoint, you can find products (items, variants, and bundles) based on ID or SKU, type, category, and other criteria.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Body
Search criteria to match attributes
Show child attributes
Show child attributes
Sorting criteria. Sorting is supported only on sku, type and createdAt. - refers to descending while + refers to ascending order
"+sku,-name"
Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.
2
Maximum number of records per page
10
Response
OK
Product list by IDs
Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.
5
Maximum number of records per page
10
Total number of records in the response
100
Show child attributes
Show child attributes
Was this page helpful?
